/**@return {Promise<string>} */
export function makeTemporaryDirectory(): Promise<string>;
/**
 * @param {string} gitDir
 * @param {{bare?: boolean, origin?: string}} options
 * @return {Promise<void>}
 */
export function init(gitDir: string, { bare, origin }?: {
    bare?: boolean;
    origin?: string;
}): Promise<void>;
/**@return {Promise<void>} */
export function writeFile(gitDir: string, filePath: string, content: string | Buffer): Promise<void>;
/**@return {Promise<void>} */
export function writePackageJson(gitDir: string, filePath: string, name: string, ...dependencies: string[]): Promise<void>;
/**@return {Promise<void>} */
export function commitAll(gitDir: string, message?: string | undefined): Promise<void>;
/**@typedef {{[commit: string]: string[]}} ChangedFilesInGit*/
/**
 * @type {(
 * rootDirectory: string,
 * options: {fromGitDate?: string, toCommit?: string}) =>
 * Promise<ChangedFilesInGit>
 * }
 * */
export function commitHistory(rootDirectory: string, { fromGitDate, toCommit }?: {
    fromGitDate?: string | undefined;
    toCommit?: string | undefined;
}): Promise<ChangedFilesInGit>;
/**
 * @type {(
 * rootDirectory: string,
 * options: {fromGitDate?: string, toCommit?: string}) =>
 * Promise<string[]>
 * }
 * */
export function commitMessagesHistory(rootDirectory: string, { fromGitDate, toCommit }?: {
    fromGitDate?: string | undefined;
    toCommit?: string | undefined;
}): Promise<string[]>;
export type ChangedFilesInGit = {
    [commit: string]: string[];
};
//# sourceMappingURL=git-testkit.d.ts.map